Bug 665885 - Review Request: perl-AnyEvent-HTTP - Simple but non-blocking HTTP/HTTPS client
Summary: Review Request: perl-AnyEvent-HTTP - Simple but non-blocking HTTP/HTTPS client
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 17:59 UTC by Remi Collet
Modified: 2011-01-15 22:22 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-15 22:22:01 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2010-12-27 17:59:45 UTC
Spec URL: http://remi.fedorapeople.org/perl-AnyEvent-HTTP.spec
SRPM URL: http://remi.fedorapeople.org/perl-AnyEvent-HTTP-1.46-1.remi.src.rpm
Description:
This module is an AnyEvent user, you need to make sure that you use and
run a supported event loop.

This module implements a simple, stateless and non-blocking HTTP client.
It supports GET, POST and other request methods, cookies and more, all
on a very low level. It can follow redirects supports proxies and
automatically limits the number of connections to the values specified
in the RFC.

It should generally be a "good client" that is enough for most HTTP
tasks. Simple tasks should be simple, but complex tasks should still be
possible as the user retains control over request and response headers.

The caller is responsible for authentication management, cookies (if the
simplistic implementation in this module doesn't suffice), referrer and
other high-level protocol details for which this module offers only
limited support.


-------------
This package is a new dependency of next version of gmusicbrowser.

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=2690369

Comment 1 Emmanuel Seyman 2010-12-27 21:58:41 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-12-27 22:01:24 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2690526

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
336b85da8b7999072dc94b755b2b84e7  AnyEvent-HTTP-1.46.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [ ] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86-64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2690526

 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=2, Tests=5, 25 wallclock secs ( 0.01 usr  0.00 sys +  0.08 cusr  0.00 csys =  0.09 CPU)
Result: PASS

APPROVED.

Comment 3 Remi Collet 2010-12-28 08:17:05 UTC
Thanks for the review

New Package CVS Request
=======================
Package Name: perl-AnyEvent-HTTP
Short Description: Simple but non-blocking HTTP/HTTPS client
Owners: remi
Branches: F-13 F-14 EL-6
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2011-01-02 20:16:00 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-01-03 06:27:36 UTC
perl-AnyEvent-HTTP-1.46-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-AnyEvent-HTTP-1.46-1.fc14

Comment 6 Fedora Update System 2011-01-03 06:28:09 UTC
perl-AnyEvent-HTTP-1.46-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-AnyEvent-HTTP-1.46-1.fc13

Comment 7 Fedora Update System 2011-01-03 20:00:29 UTC
perl-AnyEvent-HTTP-1.46-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-AnyEvent-HTTP'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-AnyEvent-HTTP-1.46-1.fc13

Comment 8 Fedora Update System 2011-01-15 22:21:56 UTC
perl-AnyEvent-HTTP-1.46-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-01-15 22:22:46 UTC
perl-AnyEvent-HTTP-1.46-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.